#ifndef _Handle_PDataStd_Geometry_HeaderFile
#define _Handle_PDataStd_Geometry_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDataStd_Geometry;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_Geometry);

class Handle(PDataStd_Geometry) : public Handle(PDF_Attribute) {
  public:

    Handle(PDataStd_Geometry)():Handle(PDF_Attribute)() {} 
    Handle(PDataStd_Geometry)(const Handle(PDataStd_Geometry)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDataStd_Geometry)(const PDataStd_Geometry* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDataStd_Geometry)& operator=(const Handle(PDataStd_Geometry)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_Geometry)& operator=(const PDataStd_Geometry* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_Geometry* operator->() const 
     {
      return (PDataStd_Geometry *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_Geometry) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
